# Struct ethcore_rpc::v1::types::CallRequest [−] [src]

    pub struct CallRequest {
        pub from: Option<H160>,
        pub to: Option<H160>,
        pub gas_price: Option<U256>,
        pub gas: Option<U256>,
        pub value: Option<U256>,
        pub data: Option<Bytes>,
        pub nonce: Option<U256>,
    }

Call request

## Fields

`from: Option<H160>`

From

`to: Option<H160>`

To

`gas_price: Option<U256>`

Gas Price

`gas: Option<U256>`

Gas

`value: Option<U256>`

Value

`data: Option<Bytes>`

Data

`nonce: Option<U256>`

Nonce

## Trait Implementations

### `impl PartialEq for CallRequest`
[src]

#### `fn eq(&self, __arg_0: &CallRequest) -> bool`

This method tests for `self` and `other` values to be equal, and is used by `==`. Read more

#### `fn ne(&self, __arg_0: &CallRequest) -> bool`

This method tests for `!=`.

### `impl Default for CallRequest`
[src]

#### `fn default() -> CallRequest`

Returns the "default value" for a type. Read more

### `impl Debug for CallRequest`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

### `impl Into<Request> for CallRequest`
[src]

#### `fn into(self) -> Request`

Performs the conversion.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)